package com.vendor.burn.model.cmdline;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.vendor.burn.model.PartitionItem;
import java.util.List;

public class CmdLineParam {
  public static final String CHIPNAME = "-n";
  
  public static final String MODE = "-m";
  
  public static final String XML = "-x";
  
  public static final String PROGRAMMER = "-p";
  
  public static final String BURNCONFIG = "-c";
  
  public static final String BURN_FILE_PATH = "-b";
  
  public static final String CHIP_TYPE = "-t";
  
  public static final String LOG_FILE_PARENT_PATH = "-lp";
  
  public static final String BEFORE_BURNING_DELAY_TIME = "-dt";
  
  public static final String SOCKET = "-s";
  
  public static final String USERNAME = "-u";
  
  private static String logFileParentPath;
  
  private String beforeBurningDelayTime;
  
  private String chipName;
  
  private String mode;
  
  private String serialPort;
  
  private String serverIp;
  
  private String boardIp;
  
  private String netMask;
  
  private String gatewayIp;
  
  private String tftpPort = "69";
  
  private String burnFilePath;
  
  private String xmlPath;
  
  private String programmerPath;
  
  private String burnConfigPath;
  
  private List<PartitionItem> partitionList;
  
  private String baud = "115200";
  
  private String chipType;
  
  private boolean isSocket = false;
  
  private String serialServerIp;
  
  private String serialServerPort;
  
  private String userName;
  
  private String passWord;
  
  public String getChipName() {
    return this.chipName;
  }
  
  public void setChipName(String chipName) {
    this.chipName = chipName;
  }
  
  public String getMode() {
    return this.mode;
  }
  
  public void setMode(String mode) {
    this.mode = mode;
  }
  
  public String getSerialPort() {
    return this.serialPort;
  }
  
  public void setSerialPort(String serialPort) {
    this.serialPort = serialPort;
  }
  
  public String getServerIp() {
    return this.serverIp;
  }
  
  public void setServerIp(String serverIp) {
    this.serverIp = serverIp;
  }
  
  public String getBoardIp() {
    return this.boardIp;
  }
  
  public void setBoardIp(String boardIp) {
    this.boardIp = boardIp;
  }
  
  public String getNetMask() {
    return this.netMask;
  }
  
  public void setNetMask(String netMask) {
    this.netMask = netMask;
  }
  
  public String getGatewayIp() {
    return this.gatewayIp;
  }
  
  public void setGatewayIp(String gatewayIp) {
    this.gatewayIp = gatewayIp;
  }
  
  public String getTftpPort() {
    return this.tftpPort;
  }
  
  public void setTftpPort(String tftpPort) {
    this.tftpPort = tftpPort;
  }
  
  public String getXmlPath() {
    return this.xmlPath;
  }
  
  public void setXmlPath(String xmlPath) {
    this.xmlPath = xmlPath;
  }
  
  public List<PartitionItem> getPartitionList() {
    return this.partitionList;
  }
  
  public void setPartitionList(List<PartitionItem> partitionList) {
    this.partitionList = partitionList;
  }
  
  public String getProgrammerPath() {
    return this.programmerPath;
  }
  
  public void setProgrammerPath(String programmerPath) {
    this.programmerPath = programmerPath;
  }
  
  public String getBurnConfigPath() {
    return this.burnConfigPath;
  }
  
  public void setBurnConfigPath(String burnConfigPath) {
    this.burnConfigPath = burnConfigPath;
  }
  
  public String getBurnFilePath() {
    return this.burnFilePath;
  }
  
  public void setBurnFilePath(String burnFilePath) {
    this.burnFilePath = burnFilePath;
  }
  
  public String getBaud() {
    return this.baud;
  }
  
  public void setBaud(String baud) {
    this.baud = baud;
  }
  
  public String getChipType() {
    return this.chipType;
  }
  
  public void setChipType(String chipType) {
    this.chipType = chipType;
  }
  
  public static String getLogFileParentPath() {
    return logFileParentPath;
  }
  
  public static void setLogFileParentPath(String logFileParentPath) {
    com.vendor.burn.model.cmdline.CmdLineParam.logFileParentPath = logFileParentPath;
  }
  
  public String getBeforeBurningDelayTime() {
    return this.beforeBurningDelayTime;
  }
  
  public void setBeforeBurningDelayTime(String beforeBurningDelayTime) {
    this.beforeBurningDelayTime = beforeBurningDelayTime;
  }
  
  public boolean isSocket() {
    return this.isSocket;
  }
  
  public void setSocket(boolean isSocket) {
    this.isSocket = isSocket;
  }
  
  public String getSerialServerIp() {
    return this.serialServerIp;
  }
  
  public void setSerialServerIp(String serialServerIp) {
    this.serialServerIp = serialServerIp;
  }
  
  public String getSerialServerPort() {
    return this.serialServerPort;
  }
  
  public void setSerialServerPort(String serialServerPort) {
    this.serialServerPort = serialServerPort;
  }
  
  public String getUserName() {
    return this.userName;
  }
  
  public void setUserName(String userName) {
    this.userName = userName;
  }
  
  public String getPassWord() {
    return this.passWord;
  }
  
  public void setPassWord(String passWord) {
    this.passWord = passWord;
  }
}
